Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.util
Class Calculator

    java.lang.Object
      org.apache.jmeter.util.Calculator

public class Calculator
extends Object

Class to calculate various items that don't require all previous results to be saved: - mean = average - standard deviation - minimum - maximum

Constructor Summary
`Calculator()`
`Calculator(String label)`

Method Summary
`void` | `addBytes(long newValue)`
`void` | `addSample(SampleResult res)`
`void` | `addValue(long newValue)`
`void` | `clear()`
`double` | `getAvgPageBytes()` calculates the average page size, which means divide the bytes by number of samples.
`double` | `getBytesPerSecond()` Throughput in bytes / second
`int` | `getCount()`
`double` | `getErrorPercentage()` Returns the raw double value of the percentage of samples with errors that were recorded.
`double` | `getKBPerSecond()` Throughput in kilobytes / second
`String` | `getLabel()`
`long` | `getMax()`
`double` | `getMean()`
`Number` | `getMeanAsNumber()`
`long` | `getMin()`
`double` | `getPageSize()` Deprecated. use getAvgPageBytes() instead.
`double` | `getRate()` Returns the throughput associated to this sampler in requests per second.
`double` | `getStandardDeviation()`
`long` | `getTotalBytes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Calculator

    public Calculator()

### Calculator

    public Calculator(String label)

Method Detail

### clear

    public void clear()

### addValue

    public void addValue(long newValue)

### addBytes

    public void addBytes(long newValue)

### addSample

    public void addSample(SampleResult res)

### getTotalBytes

    public long getTotalBytes()

### getMean

    public double getMean()

### getMeanAsNumber

    public Number getMeanAsNumber()

### getStandardDeviation

    public double getStandardDeviation()

### getMin

    public long getMin()

### getMax

    public long getMax()

### getCount

    public int getCount()

### getLabel

    public String getLabel()

### getErrorPercentage

    public double getErrorPercentage()

  Returns the raw double value of the percentage of samples with errors that were recorded. (Between 0.0 and 1.0)

  Returns:
    the raw double value of the percentage of samples with errors that were recorded.

### getRate

    public double getRate()

  Returns the throughput associated to this sampler in requests per second. May be slightly skewed because it takes the timestamps of the first and last samples as the total time passed, and the test may actually have started before that start time and ended after that end time.

### getPageSize

    public double getPageSize()

  Deprecated. use getAvgPageBytes() instead.

  calculates the average page size, which means divide the bytes by number of samples. This is an ambiguous name, so:

  Returns:
    average page size

### getAvgPageBytes

    public double getAvgPageBytes()

  calculates the average page size, which means divide the bytes by number of samples.

  Returns:
    average page size in bytes

### getBytesPerSecond

    public double getBytesPerSecond()

  Throughput in bytes / second

  Returns:
    throughput in bytes/second

### getKBPerSecond

    public double getKBPerSecond()

  Throughput in kilobytes / second

  Returns:
    Throughput in kilobytes / second

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.